std::atomic_flag(3)

NAME
std::atomic_flag -

SYNOPSIS

Inherits std::__atomic_flag_base.

  Public Member Functions
atomic_flag (const atomic_flag &)=delete
constexpr atomic_flag (bool __i) noexcept
atomic_flag & operator= (const atomic_flag &)=delete
atomic_flag & operator= (const atomic_flag &) volatile=delete

  Public Attributes
__atomic_flag_data_type _M_i

Detailed Description

atomic_flag

Definition at line 275 of file atomic_base.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.